Skip to content

Using the sandbox environment

The sandbox environment replicates production functionality for development and testing purposes. In the sandbox, our API does not make actual calls to carrier APIs and responses are mocked. To use the sandbox, follow these three easy steps:

  1. Log in to the Partner System and check if test mode is activated. If not, follow these steps.
  2. Activate the carriers that you wish to use for testing.
  3. Use the sandbox API Base URL to make requests the same way as you would for production.

While the sandbox is a complete copy of the production environment in terms of functionality, there are a couple of differences that you should be aware of:

  • For carrier activation, you don’t need to use actual credentials and can use any dummy data.
  • The POST /shipments endpoint does not validate phone numbers or address data.
  • We generate dummy shipping labels.
  • While you can activate our Tracking Page and see how it looks, it won’t show real-time tracking information because it’s not possible to ship anything out.

How to access the sandbox API?

The API Base URLs are as follows:

  • Production: https://shipping.montonio.com/api/v2
  • Sandbox: https://sandbox-shipping.montonio.com/api/v2

To authenticate with the API, you’ll need to use API keys. Read more about API keys and how to get them. The authentication mechanism is described in the Authentication section of the API reference.